Create a Subscription
Once you have created a stream, create a subscription to send your metrics and event data to your data collector.
Supported Data Collectors:
| Data Collector | Events | Metrics |
|---|---|---|
| Datadog | Supported | Supported |
| Google Pub/Sub | Supported | Supported |
| Grafana Webhook | Supported | Supported |
| Microsoft Teams | Supported | Supported |
| PagerDuty | Supported | Not Supported |
| ServiceNow | Supported | Supported |
| Slack Webhook | Supported | Supported |
| Splunk HEC | Supported | Supported |
| Generic Webhooks | Supported | Supported |
Data Formats
Equinix Events and Metrics use the CloudEvents specification format or the OpenTelemetry specification format for all data. All of our event data schemas, metrics data schemas, and data types are published in the /equinix/equinix-cloudevents GitHub repository.
Examples:
- CloudEvent
- CloudEvents Metric
- OpenTelemetry Log
- OpenTelemetry Metric
---
specversion: '1.0'
source: https://api.equinix.com/fabric/v4/cloudevents
id: 6c573287-9914-4202-8b6d-2d15e7da04b8
type: equinix.fabric.metric
subject: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
time: '2024-07-01T20:12:21.306Z'
severitynumber: 9
severitytext: INFO
equinixproject: 123
dataschema: https://github.com/Fabric/.../ApiConfigEventData.json
datacontenttype: application/json
data:
message: New metrics collected
resource:
href: https://api.equinix.com/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
uuid: 956a86fb-d03d-436c-8d5d-30d1f51f7688
name: my-test-port
description: port description
metrics:
- type: GAUGE
name: equinix.fabric.port.bandwidth_rx.usage
description: Port inbound bandwidth utilization
unit: bit/s
datapoints:
- endDateTime: '2024-07-01T20:12:21.000Z'
value: 440023
- type: SUM
name: equinix.fabric.port.packets_erred_tx.count
description: Port error packets
interval: PT5M
unit: packet
datapoints:
- endDateTime: '2024-07-01T20:12:21.000Z'
value: 10
{
"specversion": "1.0",
"source": "https://api.equinix.com/fabric/v4/cloudevents",
"id": "16c7e20a-d147-40c4-81ad-f60d25548aad",
"time": "2026-06-24T20:20:59.000Z",
"type": "equinix.fabric.metric",
"subject": "/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688",
"dataschema": "https://equinix.github.io/equinix-cloudevents/jsonschema/equinix/fabric/v1/MetricEvent.json",
"datacontenttype": "application/json",
"severitynumber": "9",
"severitytext": "INFO",
"equinixproject": "123",
"data": {
"message": "Metrics collected",
"resource": {
"href": "https://api.equinix.com/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688",
"uuid": "956a86fb-d03d-436c-8d5d-30d1f51f7688",
"type": "XF_PORT",
"state": "PROVISIONED"
},
"metrics": [
{
"type": "GAUGE",
"name": "equinix.fabric.port.bandwidth_rx.usage",
"unit": "bit/s",
"datapoints": [
{
"endDateTime": "2026-06-24T20:20:59.000Z",
"value": 179
}
]
},
{
"type": "GAUGE",
"name": "equinix.fabric.port.bandwidth_tx.usage",
"unit": "bit/s",
"datapoints": [
{
"endDateTime": "2026-06-24T20:20:59.000Z",
"value": 1711
}
]
}
]
}
}
---
resourceLogs:
- resource:
attributes:
- key: service.name
value:
stringValue: Equinix
- key: equinix.event.specversion
value:
stringValue: '1.0'
- key: equinix.event.source
value:
stringValue: https://api.equinix.com/fabric/v4/cloudevents
- key: equinix.event.subject
value:
stringValue: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
- key: equinix.event.equinixproject
value:
stringValue: 123
scopeLogs:
- scope:
logRecords:
- timeUnixNano: '1719889941306000000'
severityNumber: 9
severityText: Information
body:
stringValue: '{"message":"Virtual port status changed to Up","resource":{"href":"https://api.equinix.com/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688","uuid":"956a86fb-d03d-436c-8d5d-30d1f51f7688","name":"my-test-port","description":"port description"}}'
attributes:
- key: equinix.event.id
value:
stringValue: 6c573287-9914-4202-8b6d-2d15e7da04b8
- key: equinix.event.type
value:
stringValue: equinix.fabric.port.status.up
---
resourceMetrics:
- resource:
attributes:
- key: service.name
value:
stringValue: Equinix
- key: equinix.event.specversion
value:
stringValue: '1.0'
- key: equinix.event.source
value:
stringValue: https://api.equinix.com/fabric/v4/cloudevents
- key: equinix.event.subject
value:
stringValue: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
- key: equinix.event.equinixproject
value:
stringValue: 123
scopeMetrics:
- scope:
metrics:
- name: equinix.fabric.port.bandwidth_rx.usage
description: Port inbound bandwidth utilization
unit: 'bit/s'
gauge:
dataPoints:
- attributes:
- key: service.name
value:
stringValue: Equinix
- key: equinix.event.source
value:
stringValue: https://api.equinix.com/fabric/v4/cloudevents
- key: equinix.event.subject
value:
stringValue: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
- key: equinix.event.equinixproject
value:
stringValue: 123
- key: equinix.event.resource.name
value:
stringValue: 'my-port-name'
timeUnixNano: '1719889941306000000'
asInt: 566
- name: equinix.fabric.port.packets_erred_tx.count
description: Port error packets
unit: packet
sum:
aggregationTemporality: 2 # required for sum https://github.com/open-telemetry/opentelemetry-proto/blob/v0.9.0/opentelemetry/proto/metrics/v1/metrics.proto#L230
dataPoints:
- attributes:
- key: service.name
value:
stringValue: Equinix
- key: equinix.event.source
value:
stringValue: https://api.equinix.com/fabric/v4/cloudevents
- key: equinix.event.subject
value:
stringValue: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
- key: equinix.event.equinixproject
value:
stringValue: 123
- key: equinix.event.resource.name
value:
stringValue: 'my-port-name'
startTimeUnixNano: '1719889641306000000' # optional
timeUnixNano: '1719889941306000000'
asInt: 10
Any variations of these formats for specific data collectors are included below.
Prerequisites
- To create subscriptions, you must have the
Fabric Stream Subscription Manager(STREAM_SUBSCRIPTION PERMISSION CREATE AND READ) role. Contact your Company Administrator or IAM Administrator to manage access and roles.
- Portal
- API
The portal supports creating and managing subscriptions to Splunk, Datadog, Microsoft Teams, and PagerDuty.
-
Sign in to the Customer Portal > Fabric Dashboard.
-
From the Observability menu, select Data Streams.

-
From the Actions drop-down menu, select Add Subscriptions.

- Authenticate. Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to API Authentication for more information on how to authenticate your requests to the Equinix API.
The Subscription API URI/host values only support HTTPS and do not support self-signed certificates.
Datadog
A Datadog subscription requires your Datadog API and Application Keys when creating your subscription.
For a setup guide to integrate with Datadog, see How to set up Datadog in the Equinix Community.
- Portal
- API
On the Add Subscription page, enter your Datadog information, including:
- a Subscription Name
- your Datadog Host URL
- your Datadog API key
- your Datadog Application key
- and provide a description (optional)

To create a subscription, send a POST request to the /fabric/v4/streams/<streamId>/subscriptions endpoint. Specify the Stream ID in the stream path of your request.
In the sink object of the request body:
- Specify the
typeasDATADOG. - Use the Datadog site reference table to find your site parameter for the
sink.hostparameter. - Provide your Datadog API key, and Application key
Sample cURL Request:
curl -X 'POST' 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<datadog_subscription_name>",
"description": "<datadog_subscription_desc>",
"sink": {
"host": "https://<datadog_site_parameter>",
"type": "DATADOG",
"credential": {
"type": "API_KEY",
"apiKey": "<datadog_api_key>"
},
"settings": {
"applicationKey": "<datadog_application_key>"
}
}
}'
Datadog Data Examples
- Event
- Metric
---
date_happened: 1719864741 # in seconds
source_type_name: Equinix
aggregation_key: <aggregation_key>
title: 'Virtual port status changed to Up'
status: info # INFO->info, WARN -> warn, ERROR->error, CRITICAL->warn, FATAL->error, default: info
text: "{\"cloudevent\":{\"specversion\":\"1.0\",\"source\":\"https://api.equinix.com/fabric/v4/cloudevents\",\"id\":\"6c573287-9914-4202-8b6d-2d15e7da04b8\",\"type\":\"equinix.fabric.port.status.up\",\"subject\":\"/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688\",\"time\":\"2024-07-01T20:12:21.306Z\",\"severitynumber\":9,\"severitytext\":\"INFO\",\"equinixalert\":\"clear/<aggregation_key>\",\"equinixproject\":\"123\",\"data\":{\"message\":\"Virtual port status changed to Up\",\"resource\":{}}}}"
---
series:
- type: 3 # 0(unspecified), 1(count), 2(rate), 3(gauge)
metric: equinix.fabric.port.bandwidth_rx.usage
resources:
- type: subject
name: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
- type: equinixproject
name: 123
unit: bit/s
points:
- timestamp: 1719889941
value: 440023
- type: 1
metric: equinix.fabric.port.packets_erred_tx.count
resources:
- type: subject
name: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
- type: equinixproject
name: 123
unit: packet
interval: 300 # in seconds
points:
- timestamp: 1719889941
value: 10
Google PubSub
A Google Pub/Sub Subscription requires the following:
- Create a Topic.
- Grant IAM permissions to a Service Account for Pub/Sub.
- Provide your topic URI and your service account credentials when creating your subscription.
For a setup guide on Google Pub/Sub, see How to set up Google Pub/Sub in the Equinix Community.
- Portal
- API
On the Add Subscription page, enter your Google Cloud PubSub information, including:
- A Subscription Name
- The Google Cloud PubSub Access Token
- The Google Cloud PubSub Subscription URI
- And provide a description (optional)

To create a subscription, send a POST request to the /fabric/v4/streams/<streamId>/subscriptions endpoint. Specify the Stream ID in the stream path of your request.
In the sink object of the request body:
- Specify the
typeasGOOGLE_PUBSUB. - Provide your Google Cloud PubSub Access Token and PubSub Subscription URI.
Sample cURL request:
curl -X POST 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<gcp_pubsub_subscription_name>",
"description": "<gcp_pubsub_subscription_desc>",
"sink": {
"uri": "https://pubsub.googleapis.com/v1/projects/<gcp_project_name>/topics/<gcp_topic_name>:publish",
"type": "GOOGLE_PUBSUB",
"credential": {
"type": "ACCESS_TOKEN",
"accessToken": "<encoded_base64_service_account_json>"
}
}
}'
Grafana Webhook
To create a Grafana subscription, create and configure Grafana for incoming webhooks. Provide your Grafana Webhook's URL and api key when creating your subscription.
For a setup guide for Grafana, see How to set up Grafana Webhook in the Equinix Community.
- Portal
- API
On the Add Subscription page, enter your Grafana information, including:
- A Subscription name.
- The Grafana Metrics URI.
- The Grafana Events URI.
- Your Grafana API Key.
- An optional description.

To create a subscription, send a POST request to the /fabric/v4/streams/<streamId>/subscriptions endpoint. Specify the Stream ID in the stream path of your request.
In the sink object of the request body:
- Specify the
typeasWEBHOOK. - Provide your Grafana Metrics URI, Events URI, or both.
- Provide your Grafana API key.
Sample cURL Request:
curl -X POST 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<webhook_subscription_name>",
"description": "<webhook_subscription_desc>",
"enabled": true,
"sink": {
"type": "WEBHOOK",
"settings": {
"metricUri": "https://<grafana_oltp_endpoint>/otlp/v1/metrics",
"format": "OPENTELEMETRY"
},
"credential": {
"type": "API_KEY",
"apiKey": "<grafana_instance_id>:<grafana_api_key>"
}
}
}'
Microsoft Teams
To create a Microsoft Teams subscription, create and configure a webhook to post messages when a webhook request is received. Once your webhook is configured, provide your HTTP POST URL when creating your subscription.
For a setup guide for Microsoft Teams, see How to set up Microsoft Teams in the Equinix Community.
- Portal
- API
On the Add Subscription page, enter your Microsoft Teams information, including:
- a Subscription Name
- your Microsoft Workflow Webhook URI
- and provide a description (optional)

To create a subscription, send a POST request to the /fabric/v4/streams/<streamId>/subscriptions endpoint. Specify the Stream ID in the stream path of your request.
In the sink object of the request body:
- Specify the
typeasTEAMS. - Provide your Microsoft Workflow Webhook URI.
Sample cURL Request:
curl -X 'POST' 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<ms_teams_subscription>",
"description": "<ms_teams_subscription_desc>",
"sink": {
"uri": "<teams_webhook_uri>",
"type": "TEAMS"
}
}'
PagerDuty
For a PagerDuty subscription, create a service and an Events APIv2 integration to handle your events. Provide your PagerDuty URI and the Integration Key when creating your subscription.
For a setup guide for PagerDuty, see How to set up PagerDuty in the Equinix Community.
- Portal
- API
On the Add Subscription page, enter your PagerDuty information, including:
- a Subscription Name
- your PagerDuty Host Url
- your PagerDuty Integration Key
- and provide a description (optional)

To create a subscription, send a POST request to the /fabric/v4/streams/<streamId>/subscriptions endpoint. Specify the Stream ID in the stream path of your request.
In the sink object of the request body:
- Specify the
typeasPAGERDUTY. - Provide your PagerDuty Host URL and Integration Key.
Sample cURL Request:
curl -X 'POST' 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<pagerduty_subscription_name>",
"description": "<pagerduty_subscription_desc>",
"sink": {
"host": "https://events.pagerduty.com",
"type": "PAGERDUTY",
"credential": {
"type": "INTEGRATION_KEY",
"integrationKey": "<pagerduty_integration_key>"
}
}
}'
PagerDuty Data Example
- Event
---
routing_key: <routing_key>
dedup_key: <dedup_key>
event_action: trigger # or resolve
payload:
source: Equinix
timestamp: '2024-07-01T20:12:21.306Z'
severity: critical
summary: Virtual port status changed to Down
custom_details:
equinixsource: https://api.equinix.com/fabric/v4/cloudevents
specversion: '1.0'
id: <uuid>
type: equinix.fabric.port.status.down
subject: /fabric/v4/ports/<port_uuid>
time: '2024-07-01T20:12:21.306Z'
severitynumber: 21
severitytext: FATAL # or INFO
equinixalert: raise/<dedup_key>
equinixproject: 123
ServiceNow
A ServiceNow subscription requires your ServiceNow username and password.
- Portal
- API
On the Add Subscription page, enter your ServiceNow information, including:
- A Subscription name.
- The ServiceNow Host URL.
- Your ServiceNow username.
- Your ServiceNow password.
- An optional description.

To create a ServiceNow subscription, send a POST request to the /fabric/v4/streams/<streamId>/subscriptions endpoint. Specify the Stream ID in the stream path of your request.
In the sink object of the request body:
- Specify the
typeasSERVICENOW. - Provide your ServiceNow host url, username, and password.
Sample cURL Request:
curl -X 'POST' 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<servicenow_subscription_name>",
"description": "<servicenow_subscription_desc>",
"sink": {
"host": "https://<host>.service-now.com",
"type": "SERVICENOW",
"settings": {
"source": "<source_name>"
},
"credential": {
"type": "USERNAME_PASSWORD",
"username": "<servicenow-username>",
"password": "<servicenow-password>"
}
}
}'
ServiceNow Data Examples
- Event
- Metric
---
source: Equinix
time_of_event: '2024-07-01T20:12:21.306Z'
description: Virtual port status changed to Down
severity: 1 # 1 for clear and 0 for clear
resolution_state: New # or Closing
message_key: NCAB543WC4lrLpET8nLX4Vd8
resource: fabric.port
node: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
type: equinix.fabric.port.status.down
additional_info: '{"cloudevent":{"specversion":"1.0","source":"https://api.equinix.com/fabric/v4/cloudevents","id":"6c573287-9914-4202-8b6d-2d15e7da04b8","type":"equinix.fabric.port.status.down","subject":"/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7681","time":"2024-07-01T20:12:21.306Z","severitynumber":13,"severitytext":"CRITICAL","equinixalert":"raise/NCAB543WC4lrLpET8nLX4Vd8","equinixproject":"123","data":{"message":"Virtual port named \'Test-port\' status changed to Down","resource":{}}}}'
---
- timestamp: 1719889941306000. #mili sec
source: Equinix
resource_path: "/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7681"
metric_type: equinix.fabric.port.bandwidth_rx.utilization
value: 70.5
ci2metric_id:
type: GAUGE
subject: "/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7681"
equinixproject: 123
unit: "%"
- timestamp: 1719889941306000 #mili sec
source: Equinix
resource_path: "/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7681"
metric_type: equinix.fabric.port.packets_erred_tx.count
value: 70.5
ci2metric_id:
type: GAUGE
interval: PT5M
subject: "/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7681"
equinixproject: 123
unit: "%"
Slack
A Slack subscription requires your webhook's unique URL. See create and configure a Slack App for incoming webhooks.
For a setup guide to integrate with Slack, see How to set up Slack in the Equinix Community.
- Portal
- API
On the Add Subscription page, enter your Slack information, including:
- Subscription name
- Subscription URI
- Description (optional)

To create a subscription, send a POST request to the /fabric/v4/streams/<streamId>/subscriptions endpoint. Specify the Stream ID in the stream path of your request.
In the sink object of the request body:
- Specify the
typeasSLACK. - Provide the Slack subscription URI.
Sample cURL Request:
curl -X 'POST' 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<slack_subscription_name>",
"description": "<slack_subscription_desc>",
"sink": {
"uri": "<slack_webhook_uri>",
"type": "SLACK"
}
}'
Splunk
To create a Splunk subscription, create an event index to receive events, a metrics index to receive metrics or both, then create an HTTP Event Collector. Provide your HTTP Event Collector URI, your HTTP Event Collector token, and the names of your indices when creating your subscription.
For a setup guide to integrate with Splunk, see How to set up Splunk in the Equinix Community.
- Portal
- API
On the Add Subscription page, enter your Splunk information, including:
- a Subscription Name
- your Splunk HTTP Event Collector URI
- your Splunk Access Token
- your Splunk Event Index (required)
- your Splunk Metrics Index, if you plan to ingest metrics into Splunk
- and provide a description (optional)

To create a subscription, send a POST request to the /fabric/v4/streams/<streamId>/subscriptions endpoint. Specify the Stream ID in the stream path of your request.
In the sink object of the request body:
- Specify the
typeasSPLUNK_HEC. - Provide your Splunk HTTP Event Collector URI.
- Provide your Splunk Event Index (required) and Splunk Metrics Index (optional).
- Provide your Splunk Access Token.
Sample cURL Request:
curl -X 'POST' 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<splunk_subscription_name>",
"description": "<splunk_subscription_desc>",
"sink": {
"uri": "https://http-inputs-<host>.splunkcloud.com:<port>/services/collector/event",
"type": "SPLUNK_HEC",
"settings": {
"eventIndex": "<name_of_eventIndex>",
"metricIndex": "<name_of_metricIndex>",
"source": "<name_of_splunk_hec>"
},
"credential": {
"type": "ACCESS_TOKEN",
"accessToken": "Splunk <Splunk AccessToken>"
}
}
}'
Splunk Data Examples
- Event
- Metric
---
sourcetype: _json
index: test-event-index
source: equinix # optional
event:
equinixsource: https://api.equinix.com/fabric/v4/cloudevents
specversion: '1.0'
id: 6c573287-9914-4202-8b6d-2d15e7da04b8
type: equinix.fabric.port.status.up
subject: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
time: '2024-07-01T20:12:21.306Z'
severitynumber: 9
severitytext: INFO
equinixalert: clear/NCAB543WC4lrLpET8nLX4Vd8
equinixproject: 123
data:
message: Virtual port status changed to Up
resource:
href: https://api.equinix.com/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
uuid: 956a86fb-d03d-436c-8d5d-30d1f51f7688
name: my-test-port
description: port description
---
time: 1719889941.306
event: metric
index: test-index-metric
source: Equinix # Optional
fields:
subject: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
equinixproject: 123
"metric_name:equinix.fabric.port.bandwidth_rx.usage": 440023
"metric_name:equinix.fabric.port.packets_erred_tx.count": 10
Generic Webhook
Equinix supports creating a subscription to any generic webhook service for events and metrics in either CloudEvent specification format or OpenTelemetry specification format.
You must include either an Event URI or a Metric URI. To stream both events and metrics, you must provide both an Event URI and a Metric URI. If you provide only one of these fields, then only the corresponding data type (events or metrics) is sent to the destination platform.
- Portal
- API
On the Add Subscription page, enter your Webhook information, including:
- A Subscription Name
- Select either CloudEvent format or Open Telemetry format for your streaming data.
- The Event URI
- The Metric URI
- Select an Authentication Type from No Auth, Username/Password, Access Token, or API Key options. Enter the relevant information into the provided fields.
- And provide a description (optional).

To create a webhook subscription, send a POST request to the /fabric/v4/streams/<streamId>/subscriptions endpoint. Specify the Stream ID in the stream path of your request.
In the sink object of the request body provide any necessary fields for your sink type. Including:
- Specify the
typeasWEBHOOK. - Provide an Event URI or Metric URI or both. Specify the format.
- Provide relevant authentication information; including Username/Password, Access Token, or API Key options. If no authentication is required, you can omit the
credentialsobject.
Sample cURL Request:
curl -X POST 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<webhook_subscription_name>",
"description": "<webhook_subscription_desc>",
"enabled": true,
"sink": {
"type": "WEBHOOK",
"settings": {
"eventUri": "<webhook_uri>",
"metricUri": "<webhook_uri>",
"format": "<format>"
}
}
}'